# connStruct Struct Reference

`#include <ne7ssh.h>`

Collaboration diagram for connStruct:

[legend]

List of all members.

## Public Attributes
ne7ssh_connection ** | conns
uint32 | count

## Detailed Description

Structure used to store connections. Used to better sync with selectThread.

## Member Data Documentation

ne7ssh_connection** connStruct::conns

Pointer to all active connections.

Referenced by ne7ssh::connectWithKey(), ne7ssh::connectWithPassword(), ne7ssh::ne7ssh(), and ne7ssh::selectThread().

uint32 connStruct::count

Active connection count.

Referenced by ne7ssh::connectWithKey(), ne7ssh::connectWithPassword(), and ne7ssh::ne7ssh().

The documentation for this struct was generated from the following file:

- ne7ssh.h